- id: '1588048037316'
  alias: HACS - Updates available
  description: Create a notification when there is updates pending in HACS
  trigger:
  - entity_id: sensor.hacs
    platform: state
  condition:
  - condition: template
    value_template: '{{ states(trigger.entity_id) != ''unknown''}}'
  - condition: template
    value_template: '{{ (states(trigger.entity_id) | float) != 0}}'
  action:
    data:
      title: Updates pending in HACS
      message: "{% for repo in state_attr(trigger.entity_id, 'repositories') %}\n
        \ **{{ repo.display_name }}** _{{ repo[\"installed_version\"] }}_ -> _{{ repo[\"available_version\"]
        }}_\n{% endfor %}\n[HACS](http://homeassistant.local:8123/hacs)"
    service: persistent_notification.create
- id: '1588050974444'
  alias: Home Assistant - Automatic Backup Daily
  description: ''
  trigger:
  - at: 03:30:00
    platform: time
  condition:
  - condition: time
    weekday:
    - tue
    - wed
    - thu
    - fri
    - sat
    - sun
  action:
  - data:
      exclude:
        folders:
        - share
      keep_days: 7
      name: 'DailyBackup: {{ now().strftime(''%A, %B %-d, %Y'') }}'
    service: auto_backup.backup_full
- id: '1588051121375'
  alias: Home Assistant - Automatic Backup Snapshot Failed
  description: ''
  trigger:
  - event_type: auto_backup.backup_failed
    platform: event
  condition: []
  action:
  - data:
      message: 'Name: {{ trigger.event.data.name }}

        Error: {{ trigger.event.data.error }}'
      title: Snapshot Failed
    service: persistent_notification.create
- id: '1588222633549'
  alias: Home Assistant - Automatic Backup Weekly
  description: ''
  trigger:
  - at: 03:30:00
    platform: time
  condition:
  - condition: time
    weekday:
    - mon
  action:
  - data:
      exclude:
        folders:
        - share
      keep_days: 28
      name: 'WeeklyBackup: {{ now().strftime(''%A, %B %-d, %Y'') }}'
    service: auto_backup.backup_full
- id: '1599109622065'
  alias: Master Bed Lights - Turn on at dusk
  description: ''
  trigger:
  - below: '0.1'
    entity_id: sun.sun
    platform: numeric_state
    attribute: elevation
  - platform: state
    entity_id:
    - person.chris
    - person.jen
    to: home
  condition:
  - condition: numeric_state
    entity_id: sun.sun
    attribute: elevation
    below: '0.1'
  - condition: template
    value_template: '{{ (as_timestamp(now()) - as_timestamp(states.automation.turn_on_master_bedroom_lights_at_sunset.last_changed)
      > (12 * 60 * 60)) }}'
  - condition: time
    after: '15:00:00'
    before: '23:00:00'
    weekday:
    - sun
    - mon
    - tue
    - wed
    - thu
    - fri
    - sat
  action:
  - service: light.turn_on
    data: {}
    target:
      entity_id:
      - light.leviton_dimmer_master_bed_2
      - light.leviton_dimmer_master_bed_1
  mode: single
- id: '1599275298690'
  alias: Front Door - Automatic Lock
  description: ''
  trigger:
  - entity_id: binary_sensor.front_door
    for: 00:20:00
    platform: state
    to: 'off'
  - entity_id: lock.front_door_lock
    for: 00:20:00
    platform: state
    to: unlocked
  condition:
  - condition: state
    entity_id: lock.front_door_lock
    state: unlocked
  - condition: state
    entity_id: binary_sensor.front_door
    state: 'off'
  action:
  - data: {}
    entity_id: lock.front_door_lock
    service: lock.lock
  mode: single
- id: '1599451076857'
  alias: Cami Light - Turn On
  description: ''
  trigger:
  - at: '18:00:00'
    platform: time
  condition: []
  action:
  - data:
      rgb_color:
      - '{{ range(0, 255) | random }}'
      - '{{ range(0, 255) | random }}'
      - '{{ range(0, 255) | random }}'
      brightness_pct: 25
    entity_id: light.c82e475c3295_192_168_0_157
    service: light.turn_on
  mode: single
- id: '1599494612806'
  alias: Cami Light - Turn Off
  description: ''
  trigger:
  - at: '23:55:00'
    platform: time
  condition: []
  action:
  - data:
      transition: 60
    entity_id: light.c82e475c3295_192_168_0_157
    service: light.turn_off
  mode: single
- id: '1600142719893'
  alias: Amplifier - Turn On with input
  description: ''
  trigger:
  - entity_id:
    - media_player.downstairs_speakers
    - media_player.upstairs_speakers
    - media_player.outdoor_speakers
    - media_player.snapcast_downstairs_snapcast_client
    - media_player.snapcast_outside_snapcast_client
    platform: state
    to: playing
  condition:
  - condition: or
    conditions:
    - condition: state
      entity_id: switch.plug2
      state: 'off'
    - condition: state
      entity_id: switch.plug4
      state: 'off'
  action:
  - data: {}
    entity_id:
    - switch.plug2
    - switch.plug4
    service: switch.turn_on
  mode: single
- id: '1600142853724'
  alias: Amplifier - Turn Off without input
  description: ''
  trigger:
  - entity_id:
    - media_player.downstairs_speakers
    - media_player.outdoor_speakers
    - media_player.upstairs_speakers
    - media_player.snapcast_downstairs_snapcast_client
    - media_player.snapcast_outside_snapcast_client
    for: 00:05:00
    platform: state
    to:
    - 'off'
    - paused
  - platform: time
    at: 04:00:00
  condition:
  - condition: state
    entity_id:
    - media_player.downstairs_speakers
    - media_player.outdoor_speakers
    - media_player.upstairs_speakers
    - media_player.snapcast_downstairs_snapcast_client
    - media_player.snapcast_outside_snapcast_client
    state:
    - 'off'
    - paused
  action:
  - data: {}
    entity_id:
    - switch.plug4
    - switch.plug2
    service: switch.turn_off
  mode: single
- id: '1600835171262'
  alias: Alarm - Auto Disarm In Morning
  description: ''
  trigger:
  - platform: state
    entity_id:
    - binary_sensor.interior_garage_door
    to: 'on'
  condition:
  - condition: time
    after: 06:00:00
    before: '10:00:00'
  - condition: state
    entity_id: person.chris
    state: home
  - condition: not
    conditions:
    - condition: state
      entity_id: alarm_control_panel.home
      state: disarmed
  - condition: state
    entity_id:
    - binary_sensor.front_door
    - binary_sensor.back_door
    - binary_sensor.exterior_garage_door
    - binary_sensor.garage_motion_sensor
    state: 'off'
  - condition: template
    value_template: '{{ (as_timestamp(now()) - as_timestamp(states.binary_sensor.front_door.last_changed)
      > (5 * 60)) and (as_timestamp(now()) - as_timestamp(states.binary_sensor.back_door.last_changed)
      > (5 * 60)) and (as_timestamp(now()) - as_timestamp(states.binary_sensor.exterior_garage_door.last_changed)
      > (5 * 60)) and (as_timestamp(now()) - as_timestamp(trigger.from_state.last_changed)
      > (5 * 60)) }}'
  - condition: state
    entity_id: binary_sensor.mud_room_multisensor_motion_detection
    state: 'on'
  action:
  - service: alarm_control_panel.alarm_disarm
    data:
      entity_id: alarm_control_panel.home
  mode: single
- id: '1601183631861'
  alias: Battery - Binary Sensor
  description: Alert when binary battery sensors are "on" (low battery)
  trigger:
  - platform: state
    entity_id: binary_sensor.feist_forest_battery
    to: 'on'
  condition: []
  action:
  - service: persistent_notification.create
    data:
      title: Battery Low
      message: The battery for {{ trigger.to_state.attributes.friendly_name }} is
        low
      notification_id: binary_sensor_battery
  - service: notify.slack
    data:
      message: '{{ trigger.to_state.attributes.friendly_name }} battery is low'
  mode: single
- id: '1604730727806'
  alias: Indoor Lights - Niches Active
  description: ''
  trigger:
  - platform: state
    entity_id: binary_sensor.front_door
    to: 'on'
  condition: []
  action:
  - service: light.turn_on
    data:
      brightness_pct: 50
    entity_id: light.leviton_dimmer_niches
  - service: switch.turn_on
    data: {}
    target:
      entity_id: switch.plug5
  mode: single
- id: '1604731113114'
  alias: Indoor Lights - Niches Inactive
  description: ''
  trigger:
  - platform: state
    entity_id: light.leviton_dimmer_niches
    to: 'on'
    for:
      minutes: 5
  action:
  - service: light.turn_off
    entity_id: light.leviton_dimmer_niches
  mode: single
- id: '1608095514941'
  alias: Pets - Clean Cat Box
  description: Remind me to clean the cat box every other day when I feed the dogs
    at night
  trigger:
  - platform: state
    entity_id: binary_sensor.garage_motion_sensor
    from: 'off'
    to: 'on'
  condition:
  - condition: time
    after: '18:00:00'
    before: '20:00:00'
    weekday:
    - mon
    - tue
    - wed
    - thu
    - fri
    - sat
    - sun
  - condition: template
    value_template: '{{ state_attr(''automation.pets_clean_cat_box'', ''last_triggered'')
      is none or (as_timestamp(now()) - as_timestamp(state_attr(''automation.pets_clean_cat_box'',
      ''last_triggered'')) > (40 * 60 * 60)) }}'
  action:
  - service: notify.mobile_app_chris_phone
    data:
      title: Clean Cat Box
      message: It's your turn
  mode: single
- id: '1611372936367'
  alias: Front Door - Notify Unlocked
  description: ''
  trigger:
  - platform: state
    entity_id: binary_sensor.front_door_lock
    to: 'on'
    for: 01:00:00
  condition: []
  action:
  - service: notify.notify
    data:
      title: Front Door Unlocked
      message: The front door has been unlocked for over an hour
  mode: single
- id: '1628823861321'
  alias: Audio System - Restart Nightly
  description: ''
  trigger:
  - platform: time
    at: 04:30:00
  condition: []
  action:
  - type: turn_off
    device_id: c6aa1fbc3494a7ec0c9e7a9e6492b7ce
    entity_id: switch.plug5
    domain: switch
  - delay:
      hours: 0
      minutes: 0
      seconds: 30
      milliseconds: 0
  - type: turn_on
    device_id: c6aa1fbc3494a7ec0c9e7a9e6492b7ce
    entity_id: switch.plug5
    domain: switch
  mode: single
- id: '1690133661213'
  alias: Network - Off at Night [School Nights]
  description: ''
  trigger:
  - platform: time
    at: '22:31:00'
  condition:
  - condition: state
    entity_id: binary_sensor.tomorrow_workday_sensor
    state: 'on'
  action:
  - service: switch.turn_off
    data: {}
    target:
      entity_id: switch.leviton_plug_in_switch
  - delay:
      hours: 5
      minutes: 30
      seconds: 0
      milliseconds: 0
    enabled: true
  - service: switch.turn_on
    data: {}
    target:
      entity_id: switch.leviton_plug_in_switch
    enabled: true
  mode: single
- id: '1690133722243'
  alias: Network - On In Morning
  description: ''
  trigger:
  - platform: time
    at: 03:59:00
  condition: []
  action:
  - type: turn_on
    device_id: d90bb09b8933f526ca8400330fef638a
    entity_id: e77edd8fa7f698fa292eda623c34911e
    domain: switch
  mode: single
- id: '1690909110309'
  alias: Door - Back Door Notification
  description: ''
  trigger:
  - platform: state
    entity_id:
    - binary_sensor.z_wave_door_window_sensor_window_door_is_open
    from: 'off'
    to: 'on'
  condition:
  - condition: time
    after: '22:30:00'
    before: 06:00:00
  action:
  - service: notify.mobile_app_chris_phone
    data:
      message: Back Door Opened {{ now() }}
  mode: single
- id: '1696884963127'
  alias: HA Update Notifications
  description: ''
  use_blueprint:
    path: mdegat01/update_notifications.yaml
    input:
      send_to_ha: true
      update_entities:
      - update.home_assistant_core_update
      - update.home_assistant_operating_system_update
      - update.home_assistant_supervisor_update
      take_backup: false
      run_config_check: true
- id: '1700075189757'
  alias: Network - Off at Night [Weekends]
  description: ''
  trigger:
  - platform: time
    at: 02:01:00
  condition:
  - condition: not
    conditions:
    - condition: state
      entity_id: binary_sensor.today_workday_sensor
      state: 'on'
    enabled: true
    alias: Test if today workday is not on
  action:
  - service: switch.turn_off
    data: {}
    target:
      entity_id: switch.leviton_plug_in_switch
  - delay:
      hours: 2
      minutes: 0
      seconds: 0
      milliseconds: 0
  - service: switch.turn_on
    data: {}
    target:
      entity_id: switch.leviton_plug_in_switch
  mode: single
- id: '1708313463483'
  alias: 'Network - Off At Night [Every night] '
  description: ''
  trigger:
  - platform: time
    at: 02:01:00
  condition: []
  action:
  - service: switch.turn_off
    data: {}
    target:
      entity_id: switch.leviton_plug_in_switch
  - delay:
      hours: 2
      minutes: 0
      seconds: 0
      milliseconds: 0
  - service: switch.turn_on
    data: {}
    target:
      entity_id: switch.leviton_plug_in_switch
  mode: single
- id: '1710260697427'
  alias: Horticulture - Grow Lights On
  description: ''
  trigger:
  - platform: sun
    event: sunrise
    offset: 0
  condition: []
  action:
  - service: switch.turn_on
    metadata: {}
    data: {}
    target:
      device_id: 185069550bc90790dda0b59ea881f391
  mode: single
- id: '1710260783692'
  alias: Horticulture - Grow Lights Off
  description: ''
  trigger:
  - platform: sun
    event: sunset
    offset: 0
  condition: []
  action:
  - service: switch.turn_off
    metadata: {}
    data: {}
    target:
      device_id: 185069550bc90790dda0b59ea881f391
  mode: single
